#!/usr/local/bin/ruby
#
# ./dashlist.rb > dashlist.eps
#

require "Cgraph"
include Cgraph

rot = 1
expand = 1
scale = 1.0

use_stdout(1)

setcreator($0)
settitle("Dash line types in Cgraph library")
setboundingbox("0 0 260 140")

init(rot, expand, scale)

grayrgbcolor(0.0,  0.0, 0.0, 1.0)

x = 0.2
for i in 0..6
  y = 0.2 * i + 0.25
  move(x, y)
  line(x + 3.0, y)
  dash(i, 0.4)
  stroke
  textalign(x + 3.1, y, 0.0, " #{i} ", 0, 1, 0)
end

fontbyname(12.0, "Times-Roman")
text(x, y+0.2, 0.0, "dash period = 0.4 inches")

showpage
