#!/usr/local/bin/ruby
#
# ./markerlist.rb > markerlist.eps
#

require "Cgraph"
include Cgraph

NUMMARKERS = 20

rot = 1
expand = 1
scale = 1.0

markersize = 10.0

use_stdout(1)

setcreator($0)
settitle("Maker and Pointers for Cgraph library")
setboundingbox("0 0 460 100")
init(rot, expand, scale)

grayrgbcolor(0.0,  0.0, 0.0, 1.0)

y = 0.4
move(0.1, y)
line(6.3, y)

for i in 0..23
  if i < NUMMARKERS
	x = 0.25 * i + 0.25
  else
	x = 0.25 * i + 0.35
  end
	move(x, y + 0.35)
	line(x, y - 0.35)
end
dash(5, 0.04)
linewidth(0.12)
stroke

for i in 0..23
  if i < NUMMARKERS
	x = 0.25 * i + 0.25
	marker(x, y, i, markersize)
	strbuf = i
  else
	x = 0.25 * i + 0.35
	pointer(x, y, i - NUMMARKERS, markersize);
	strbuf = i - NUMMARKERS
  end
  textalign( x, y + 0.42, 0.0, strbuf.to_s, 1, 0, 0)
end

text(0.25, 1.1, 0.0, "markersize = 10 pt")
text(2.5, 1.1, 0.0, "cg_marker()")
text(5.3, 1.1, 0.0, "cg_pointer()")

showpage
